import { OnInit, EventEmitter } from '@angular/core';
import { GoogleService } from './../services/google.service';
import * as i0 from "@angular/core";
export declare class AngularGoogleAutocompleteComponent implements OnInit {
    googleService: GoogleService;
    private placesService;
    private autocompleteService;
    autocompleteResults: any[];
    currentPoslatitude: number;
    currentPoslongitude: number;
    latitude: number;
    longitude: number;
    selectedPlace: EventEmitter<any>;
    keyword: string;
    data: {
        id: number;
        name: string;
    }[];
    constructor();
    ngOnInit(): void;
    private initialize;
    searchPlaces: (textQuery: string) => void;
    selectEvent(item: any): void;
    onChangeSearch(textQuery: string): void;
    onFocused(e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularGoogleAutocompleteComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AngularGoogleAutocompleteComponent, "angular-google-autocomplete", never, {}, { "selectedPlace": "selectedPlace"; }, never, never>;
}
